package cn.yw.archive.videoarchive.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("ywarchivedepartmentDao")
public class YwarchivedepartmentDao  extends SqlMapClientDaoSupport{
	
	@Autowired 
    private SqlMapClient sqlMapClient;  
      
	@PostConstruct          
    public  void initSqlMapClient(){  
     super.setSqlMapClient(sqlMapClient);      
    }
	
	/**
	 * 增加记录
	 */
	
	public void insert_Ywarchivedepartment(Map map) throws SQLException{
		this.getSqlMapClientTemplate().insert("insert_Ywarchivedepartment",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	
	public void batch_insert_Ywarchivedepartment(List batch) throws SQLException{
		this.getSqlMapClientTemplate().insert("batch_insert_Ywarchivedepartment",batch);
	}
	
	 
	/**
	 * 修改记录
	 */
	
	public Integer update_Ywarchivedepartment(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().update("update_Ywarchivedepartment",map);
	}
	
	
	/**
	 * 删除记录
	 */	
	public Integer delete_Ywarchivedepartment(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_Ywarchivedepartment",map);
	}
	
	
	/**
	 * 批处理删除记录
	 */	
	public Integer batch_delete_Ywarchivedepartment(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("batch_delete_Ywarchivedepartment",map);
	}
	
	
	/**
	 * 查询总数
	 */	
	public Integer count_Ywarchivedepartment(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Ywarchivedepartment",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Ywarchivedepartment(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Ywarchivedepartment",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	public Map get_Ywarchivedepartment(Map map) throws SQLException{
		return (Map) this.getSqlMapClientTemplate().queryForObject("query_Ywarchivedepartment",map);
	}
	
}
